@mixin make-transition-property($s) {
    #{$s}transition-none{
        transition-property: none;
    }

    #{$s}transition-all{
        transition-property: all;
    }

    #{$s}transition-opacity{
        transition-property: opacity;
    }

    #{$s}transition-transform{
        transition-property: transform;
    }
}